Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jxpath.servlet
Class Constants

    java.lang.Object
      org.apache.commons.jxpath.servlet.Constants

    public final class Constants

extends Object

String constants for this package.

Version:
  $Revision: 652845 $ $Date: 2008-05-02 12:46:46 -0500 (Fri, 02 May 2008) $
Author:
  Dmitri Plotnikov

Field Summary
`static String` | `APPLICATION_SCOPE` Variable name for `ServletContext`.
`static String` | `JXPATH_CONTEXT` Attribute name used in page context, requst, session, and servlet context to store the corresponding `JXPathContext`.
`static String` | `PAGE_SCOPE` Variable name for `PageContext`.
`static String` | `REQUEST_SCOPE` Variable name for `ServletRequest`.
`static String` | `SESSION_SCOPE` Variable name for `HttpSession`.

Constructor Summary
`Constants()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### APPLICATION_SCOPE

    public static final String APPLICATION_SCOPE

  Variable name for `ServletContext`.

  See Also:
    Constant Field Values

### SESSION_SCOPE

    public static final String SESSION_SCOPE

  Variable name for `HttpSession`.

  See Also:
    Constant Field Values

### REQUEST_SCOPE

    public static final String REQUEST_SCOPE

  Variable name for `ServletRequest`.

  See Also:
    Constant Field Values

### PAGE_SCOPE

    public static final String PAGE_SCOPE

  Variable name for `PageContext`.

  See Also:
    Constant Field Values

### JXPATH_CONTEXT

    public static final String JXPATH_CONTEXT

  Attribute name used in page context, requst, session, and servlet context to store the corresponding `JXPathContext`.

  See Also:
    Constant Field Values

Constructor Detail

### Constants

    public Constants()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.